Subject: Re: a MRT algorithm

From: [email-masked]
Date: Thu, 21 Aug 2014 08:35:41 -0400 (EDT)

About 8 years ago I described in this mailing list how to convert ALL network links to arcs which all are bound to a particular destination, and whereby each of these arcs might be classified to be a) best (=Dijkstra and ECMP, b) not best but leading to a neighbor node which is closer to the destination, c) leading to a neighbor node which has the same
distance to the destination. Furthermore I have published  how to use adjacent arcs towards their tails, eventually cranking back even to the ingress or even more remote routers, and also  how to detect if some of them lead to a dead end network part.

I think you cannot do anything more than that.

Who wants to verify might observe the network graph in www.hummel-research.de.

Heiner

-----Ursprüngliche Mitteilung----- 
Von: Alia Atlas <[email-masked]>
An: Yasuhiro Ohara <[email-masked]>; egboeny <[email-masked]>; eandcss <[email-masked]>
Cc: rtgwg <[email-masked]>
Verschickt: Mi, 23 Jul 2014 10:45 pm
Betreff: RE: a MRT algorithm

Thanks for the pointer.

Alia

-----Original Message-----
From: Yasuhiro Ohara [mailto:[email-masked]] 
Sent: Wednesday, July 23, 2014 4:33 PM
To: [email-masked]; Alia Atlas; [email-masked]
Cc: [email-masked]
Subject: a MRT algorithm

Hi,

Regarding Maximally Redundant Trees algorithms, please take a look at my IEEE 
INFOCOM paper in 2009, which is titled "MARA: Maximum Alternative Routing 
Algorithm".

It is a extended version of Dijkstra, and we've succeeded to extend the 
Dijkstra's shortest path tree. This means that the calculated DAG is compatible 
to the current SPF Tree, so you might not need multi-topology in the first 
place.

http://ieeexplore.ieee.org/xpl/articleDetails.jsp?tp=&arnumber=5061933&searchWithin%3Dp_Authors%3A.QT.Ohara%2C+Y..QT.%26searchWithin%3Dp_Author_Ids%3A37302386400

http://web.sfc.keio.ac.jp/~rdv/publications/ohara-mara-infocom09.pdf

regards,
Yasu

_______________________________________________
rtgwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rtgwg